
jQuery(window).on('load', function () {
    $('#loader').fadeOut();
    $('#preloader').delay(550).fadeOut('slow');
})

jQuery(document).ready(function ($) {
    {
        let x = 0;
        $('.header__nav-btn').on('click', function () {
            if (x === 0) {
                $('.header__nav-icon').addClass('opened')
                $('.header__nav').css({
                    'transform': 'translateY(0)',
                    'opacity': '1',
                    'visibility': 'visible'
                })
                x = 1
            } else {
                $('.header__nav-icon').removeClass('opened')
                $('.header__nav').css({
                    'transform': 'translateY(-100%)',
                    'opacity': '0',
                    'visibility': 'hidden'
                })
                x = 0
            }
        })
    }


    let wpAdminBarHeight = $('.nojq').height()
    $('.header--absolute').css({'top': `${wpAdminBarHeight}px`, 'margin-bottom': `${wpAdminBarHeight}px`})

    let headerHeight = $('.header').outerHeight()
    $('.banner').css('padding-top', `${headerHeight+20}px`)

    // $('.back-to-top').hide()

    // $('.back-to-top').on('click', function () {
    //     $('html, body').animate({
    //         scrollTop: 0
    //     })
    // })

    $(window).on('resize', function () {
        headerHeight = $('.header').outerHeight()
        $('.banner').css('padding-top', `${headerHeight+20}px`)
        wpAdminBarHeight = $('.nojq').height()
        $('.header--absolute').css({'top': `${wpAdminBarHeight}px`, 'margin-bottom': `${wpAdminBarHeight}px`})

        ScrollReveal().destroy()

    })

    /* Owl Carousel */

    $(".owl-carousel.banner__carousel").owlCarousel({
        animateOut: 'animate__slideOutDown',
        animateIn: 'animate__backInDown',
        dots: true,
        loop: false,
        nav: false,
        items: 1,
        autoHeight: true,
        mouseDrag: false,
        touchDrag: false,
        autoplay: true,
        autoplayTimeout: 7000,
        autoplayHoverPause: true,
        smartSpeed: 1000
    });

    // $('.banner__carousel').on('change', function() {
        
    // })

    /* Mask Phone*/
    // $('.phone input').mask('(00) 0000-00009');

    // $('.phone input').on('keyup', function () {
    //     if ($(this).val().length <= 14) {
    //         $(this).mask('(00) 0000-00009');
    //     } else {
    //         $(this).mask('(00) 00000-0000');
    //     }

    // });

    /* Smooth Scroll */
    // $(document).on('click', 'a[href^="#"]', function (e) {
    //     e.preventDefault()
    //     let id = $(this).attr('href')
    //     if (headerIsFixed) {
    //         $('html, body').animate({
    //             scrollTop: $(id).offset().top - headerHeight
    //         });
    //     } else {
    //         $('html, body').animate({
    //             scrollTop: $(id).offset().top
    //         });
    //     }
    // });

    /* SEO Adjusts*/

    // $('.owl-dot').each(function () {
    //     $(this).attr({title: 'Botão'})
    // })

    // $('.owl-prev').attr({title: "Anterior"})
    // $('.owl-next').attr({title: "Próximo"})

    // $('.lb-prev, .lb-next, .lb-close, .lb-cancel').attr({href: '#'})

    ScrollReveal().reveal('.scrollreveal', {
        delay: 500,
        duration: 1000,
        interval: 100,
    });

    ScrollReveal().reveal('.home-items__title', {
        delay: 100,
        duration: 500,
        interval: 50
    });

    ScrollReveal().reveal('.line, .home-items__title', {
        delay: 200,
        duration: 1500,
        interval: 200,
        reset: true
    });

})

var rellax = new Rellax('.rellax')
